# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/ads/asd/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/ads/asd/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Ads\\Asd\\": "packages/ads/asd/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Ads\Asd\Providers\AsdServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Asd'  => Ads\Asd\Facades\Asd::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Ads\\AsdTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Ads\Asd\Providers\AsdServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ads\Asd\Providers\AsdServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ads\Asd\Providers\AsdServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/asd/{modulename}

**User**

    http://path-to-route-folder/user/asd/{modulename}

**Public**

    http://path-to-route-folder/asds


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/asd/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/asd/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/asd/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/asd/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/asd/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/asd/{modulename}/{slug}
    METHOD: GET